Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_Admin Class Reference

@brief. More...

`#include <Admin.h>`

Inheritance diagram for TAO_NS_Admin:

[legend]
Collaboration diagram for TAO_NS_Admin:

[legend]
List of all members.

## Public Types
typedef ACE_Unbounded_Set< TAO_NS_Object_Id > | TAO_NS_Object_Id_Seq
enum | ADMIN_TYPE { CONSUMER_ADMIN, SUPPLIER_ADMIN }
## Public Methods
| TAO_NS_Admin (ADMIN_TYPE type)
| Constuctor. More...
| ~TAO_NS_Admin ()
| Destructor. More...
virtual void | insert (TAO_NS_Proxy *proxy ACE_ENV_ARG_DECL)
| Insert object to this container. More...
virtual void | remove (TAO_NS_Proxy *proxy ACE_ENV_ARG_DECL)
| Remove type from container_. More...
ADMIN_TYPE | type (void)
| Return type. More...
TAO_NS_FilterAdmin & | filter_admin (void)
| Access Admin FilterAdmin. More...
void | filter_operator (CosNotifyChannelAdmin::InterFilterGroupOperator filter_operator)
| Set Filter operator. More...
CosNotifyChannelAdmin::InterFilterGroupOperator | filter_operator (void)
| Access Filter operator. More...
void | subscribed_types (TAO_NS_EventTypeSeq &subscribed_types ACE_ENV_ARG_DECL)
| Obtain the Admin's subscribed types. More...
## Protected Types
typedef TAO_NS_Container_T< TAO_NS_Proxy, TAO_NS_Admin, TAO_NS_EventChannel > | inherited
## Protected Attributes
TAO_NS_Object_Id_Seq | proxy_id_list_
| = Data Members List of proxy ID's. More...
ADMIN_TYPE | type_
| Type of Admin. More...
TAO_NS_EventTypeSeq | subscribed_types_
| The types that we've subscribed our proxy objects with the event manager. More...
TAO_NS_FilterAdmin | filter_admin_
| Filter Administration. More...
CosNotifyChannelAdmin::InterFilterGroupOperator | filter_operator_
| Filter operator. More...

## Detailed Description

@brief.

## Member Typedef Documentation

typedef TAO_NS_Container_T<TAO_NS_Proxy, TAO_NS_Admin, TAO_NS_EventChannel> TAO_NS_Admin::inherited`[protected]`

typedef ACE_Unbounded_Set<TAO_NS_Object_Id> TAO_NS_Admin::TAO_NS_Object_Id_Seq

## Member Enumeration Documentation

enum TAO_NS_Admin::ADMIN_TYPE

  | Enumeration values:
  CONSUMER_ADMIN |
  SUPPLIER_ADMIN |

## Constructor & Destructor Documentation

TAO_NS_Admin::TAO_NS_Admin | ( | ADMIN_TYPE | type | ) |

| Constuctor.

TAO_NS_Admin::~TAO_NS_Admin | ( |  | ) |

| Destructor.

## Member Function Documentation

TAO_NS_FilterAdmin& TAO_NS_Admin::filter_admin | ( | void |  | ) |

| Access Admin FilterAdmin.

CosNotifyChannelAdmin::InterFilterGroupOperator TAO_NS_Admin::filter_operator | ( | void |  | ) |

| Access Filter operator.

void TAO_NS_Admin::filter_operator | ( | CosNotifyChannelAdmin::InterFilterGroupOperator | filter_operator | ) |

| Set Filter operator.

void TAO_NS_Admin::insert | ( | TAO_NS_Proxy *proxy | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Insert object to this container.

void TAO_NS_Admin::remove | ( | TAO_NS_Proxy *proxy | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Remove type from container_.

void TAO_NS_Admin::subscribed_types | ( | TAO_NS_EventTypeSeq &subscribed_types | ACE_ENV_ARG_DECL | ) |

| Obtain the Admin's subscribed types.

ADMIN_TYPE TAO_NS_Admin::type | ( | void |  | ) |

| Return type.

## Member Data Documentation

TAO_NS_FilterAdmin TAO_NS_Admin::filter_admin_`[protected]`

| Filter Administration.

CosNotifyChannelAdmin::InterFilterGroupOperator TAO_NS_Admin::filter_operator_`[protected]`

| Filter operator.

TAO_NS_Object_Id_Seq TAO_NS_Admin::proxy_id_list_`[protected]`

| = Data Members List of proxy ID's.

TAO_NS_EventTypeSeq TAO_NS_Admin::subscribed_types_`[protected]`

| The types that we've subscribed our proxy objects with the event manager.

ADMIN_TYPE TAO_NS_Admin::type_`[protected]`

| Type of Admin.

The documentation for this class was generated from the following files:

- Admin.h
- Admin.cpp